import * as React from 'react';
import { PureComponent } from 'react';
import { CommonWidgetProps } from '../utils';
export interface InputBearingPropsChanges extends CommonWidgetProps<HTMLInputElement> {
    onChange?: any;
}
export interface InputBearingProps extends InputBearingPropsChanges {
    onChange?: (value: string) => void;
    onClickOpenMap?: () => void;
}
export interface InputBearingState {
    value: string | number;
    focused: boolean;
}
export declare class InputBearing extends PureComponent<InputBearingProps, InputBearingState> {
    static defaultProps: Partial<InputBearingProps>;
    private updatedFromInside;
    constructor(props: InputBearingProps);
    componentWillReceiveProps(nextProps: InputBearingProps): void;
    componentDidUpdate(): void;
    render(): JSX.Element;
    getValue(props: InputBearingProps): any;
    handleChange: () => (e: React.ChangeEvent<HTMLInputElement>) => void;
    handleFocus: (focused: boolean) => () => void;
}
