import * as React from 'react';
import { CSSProperties } from 'react';
import { Omit } from '@material-ui/core';
import { CheckboxProps } from '@material-ui/core/Checkbox';
import { WithStyles } from '@material-ui/core/styles/withStyles';
import { CommonWidgetProps } from '../utils';
import { styles } from './InputCheck.style';
export declare type InputCheckProps = {
    text: string;
    onChange?: (checked: boolean) => void;
    labelStyle?: CSSProperties;
} & Omit<CheckboxProps, 'classes'> & CommonWidgetProps<HTMLInputElement> & WithStyles<typeof styles>;
export declare const InputCheck: React.ComponentType<Pick<any, string | number | symbol> & import("@material-ui/core/styles/withStyles").StyledComponentProps<"root" | "label">>;
