var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
import * as React from 'react';
import * as _flatten from 'lodash.flatten';
import { ImgThumbnail } from 'bkn-ui';
export const ThumbnailList = (_a) => {
    var { images, noRemoveButton, onClickRemoveImageButton } = _a, otherProps = __rest(_a, ["images", "noRemoveButton", "onClickRemoveImageButton"]);
    return (React.createElement("ul", Object.assign({ className: "image-list list-unstyled" }, otherProps), renderItems({ images, noRemoveButton, onClickRemoveImageButton })));
};
ThumbnailList.displayName = 'ThumbnailList';
ThumbnailList.defaultProps = {
    images: [],
    noRemoveButton: false,
    onClickRemoveImageButton: () => { return; },
};
const renderItems = (props) => {
    return _flatten([props.images]).map((image) => (React.createElement("li", { key: image.id },
        React.createElement(ImgThumbnail, Object.assign({ image: image, onClickRemoveButton: props.onClickRemoveImageButton }, props)))));
};
