import * as React from "react";
import { PureComponent } from "react";
import { CommonWidgetProps } from "./utils";
export interface InputNumberChangeProps extends CommonWidgetProps<HTMLInputElement> {
    onChange?: any;
}
export interface InputNumberProps extends InputNumberChangeProps {
    onChange?: (value: number) => void;
}
export declare class InputNumber extends PureComponent<InputNumberProps, {}> {
    static defaultProps: Partial<InputNumberProps>;
    render(): JSX.Element;
    handleChange: (e: React.ChangeEvent<HTMLInputElement>) => void;
}
