import * as React from "react";
import { PureComponent } from "react";
import { InputTextProps } from "./InputText";
export interface HorizontalFormFieldInputChangeProps extends InputTextProps {
    onChange?: any;
}
export interface HorizontalFormFieldInputProps extends HorizontalFormFieldInputChangeProps {
    valueIsArray?: boolean;
    onChange: (value: string) => void;
}
export interface HorizontalFormFieldInputState {
    text: string;
}
export declare class HorizontalFormFieldInput extends PureComponent<HorizontalFormFieldInputProps, {}> {
    state: HorizontalFormFieldInputState;
    private updatedFromInside;
    constructor(props: HorizontalFormFieldInputProps);
    componentDidUpdate(prevProps: HorizontalFormFieldInputProps): void;
    render(): JSX.Element;
    getColor: (classes?: string) => any;
    getValue: () => string | number;
    handleChange: (e: React.ChangeEvent<HTMLInputElement>) => void;
}
