import * as React from 'react';
import { HTMLProps } from 'react';
import { InputProps as MuiInputProps } from '@material-ui/core/Input';
import { WithStyles } from '@material-ui/core/styles/withStyles';
export declare type InputProps = HTMLProps<HTMLInputElement> & MuiInputProps & WithStyles<typeof styles> & {
    showRevealPasswordButton?: boolean;
    state: string;
    helperText?: string;
};
export interface InputState {
    revealPassword: boolean;
}
declare const styles: () => Record<"inputRoot" | "helperText", import("@material-ui/core/styles/withStyles").CSSProperties>;
export declare const Input: React.ComponentType<Pick<any, string | number | symbol> & import("@material-ui/core/styles/withStyles").StyledComponentProps<"inputRoot" | "helperText">>;
export {};
