import * as React from 'react';
import { Option } from '../../../models';
import { CommonWidgetProps } from '../../utils';
import { Styles } from './styles';
export interface MultiSelectPropsChanges extends CommonWidgetProps<HTMLInputElement>, Styles {
    value?: any;
    size?: any;
    onChange?: any;
}
export interface MultiSelectProps extends MultiSelectPropsChanges {
    options?: Option[];
    showRemoveButtonOnlyForLastSelectedValue?: boolean;
    scrollHeight?: number;
    size?: string;
    autosize?: boolean;
    value?: any[];
    onChange?: (value: any[]) => void;
}
declare const _default: React.ComponentType<Pick<any, string | number | symbol> & import("@material-ui/core/styles/withStyles").StyledComponentProps<"root" | "customSelectRoot" | "selectedItems" | "selectedItem" | "selectedItemTitle">>;
export default _default;
