import * as React from 'react';
import { PureComponent } from 'react';
import { WithStyles } from '@material-ui/core/styles/withStyles';
import { CommonWidgetProps } from '../utils';
import { styles } from './InputCheckGroup.style';
export interface InputCheckGroupPropsChanges extends CommonWidgetProps<HTMLInputElement> {
    value?: any;
    onChange?: any;
}
export declare type InputCheckGroupProps = {
    columns?: number;
    options?: string[] | number[];
    value?: any[];
    labelTransform?: (label: string) => string;
    onChange?: (value: any[]) => void;
} & InputCheckGroupPropsChanges & WithStyles<typeof styles>;
export declare class InputCheckGroup extends PureComponent<InputCheckGroupProps, {}> {
    static defaultProps: Partial<InputCheckGroupProps>;
    render(): JSX.Element;
    renderCheckInputs: () => any;
    handleChange: (option: string) => (e: React.ChangeEvent<HTMLInputElement>) => void;
}
