import * as React from 'react';
import { PureComponent } from 'react';
import { CommonWidgetProps } from './utils';
export interface InputDatePropsChanges extends CommonWidgetProps<HTMLInputElement> {
    onChange?: any;
}
export interface InputDateProps extends InputDatePropsChanges {
    onChange?: (value: number) => void;
}
export declare class InputDate extends PureComponent<InputDateProps, {}> {
    static defaultProps: Partial<InputDateProps>;
    render(): JSX.Element;
    handleChange: (e: React.ChangeEvent<HTMLInputElement>) => void;
}
