import * as React from "react";
import { PureComponent } from "react";
import { Image } from "./../../models";
import { CommonWidgetProps } from "./../utils";
export interface InputFilePropsChanges extends CommonWidgetProps<HTMLInputElement> {
    onChange?: any;
    value?: any;
}
export interface InputFileProps extends InputFilePropsChanges {
    value?: Image[];
    onChange?: (value: number) => void;
    onClickAddImages?: () => void;
    onClickRemoveImage?: (image: Image) => void;
}
export declare class InputFile extends PureComponent<InputFileProps, {}> {
    static defaultProps: Partial<InputFileProps>;
    render(): JSX.Element;
    handleChange: (e: React.ChangeEvent<HTMLInputElement>) => void;
}
