import { HTMLProps, SFC } from 'react';
import { Image } from './../../models';
export interface ThumbnailListProps extends HTMLProps<HTMLUListElement> {
    images?: Image[];
    noRemoveButton?: boolean;
    onClickRemoveImageButton?: (image: Image) => void;
}
export declare const ThumbnailList: SFC<ThumbnailListProps>;
