var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
import * as React from "react";
import * as classNames from "classnames";
import Radio from "@material-ui/core/Radio";
export const InputRadio = (_a) => {
    var { label, disabled, labelStyle } = _a, otherProps = __rest(_a, ["label", "disabled", "labelStyle"]);
    return (React.createElement("div", { className: "form-check" },
        React.createElement("label", { className: classNames("custom-radio form-check-label", { disabled }) },
            React.createElement(Radio, Object.assign({ disabled: disabled }, otherProps)),
            React.createElement("span", { className: "custom-control-description", style: labelStyle }, label))));
};
InputRadio.displayName = "InputRadio";
