import * as React from "react";
import { PureComponent } from "react";
import { WithStyles } from "@material-ui/core/styles/withStyles";
import { CommonWidgetProps } from "../utils";
import { styles } from "./InputRadio.style";
export interface InputRadioGroupPropsChanges extends CommonWidgetProps<HTMLInputElement> {
    onChange?: any;
}
export declare type InputRadioGroupProps = {
    columns?: number;
    horizontal?: boolean;
    labelTransform?: (label: string) => string;
    options?: string[] | number[];
    showResetButton?: boolean;
    onChange?: (value: string) => void;
    onClickResetButton?: () => void;
} & InputRadioGroupPropsChanges & WithStyles<typeof styles>;
export declare class InputRadioGroup extends PureComponent<InputRadioGroupProps, {}> {
    static defaultProps: Partial<InputRadioGroupProps>;
    render(): JSX.Element;
    renderRadioInputs: (item: any) => JSX.Element;
    handleChange: (e: React.ChangeEvent<HTMLInputElement>) => void;
}
