import { Component } from 'react';
import { CommonWidgetProps } from './../utils';
import { Tag } from './../../models';
export interface InputTagPropsChanges extends CommonWidgetProps<HTMLInputElement> {
    value?: any;
    onChange?: any;
}
export interface InputTagProps extends InputTagPropsChanges {
    options?: Tag[];
    value?: Tag[];
    onChange?: (values: Tag[]) => void;
}
export declare class InputTag extends Component<InputTagProps, {}> {
    static defaultProps: Partial<InputTagProps>;
    render(): JSX.Element;
    handleChange: (values: Tag[]) => void;
}
