var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
import * as React from 'react';
import Grid from '@material-ui/core/Grid';
import { CustomSelect } from '../../Form/utils/CustomSelect';
import { Component } from 'react';
import { commonDefaultProps } from './../utils';
import { InputLabel } from '../InputText/InputLabel';
export class InputTag extends Component {
    constructor() {
        super(...arguments);
        this.handleChange = (values) => {
            this.props.onChange(values);
        };
    }
    render() {
        const _a = this.props, { helpText, label, name, onSelect } = _a, otherProps = __rest(_a, ["helpText", "label", "name", "onSelect"]);
        const labelId = `label-for-${name}`;
        return (React.createElement(Grid, { "aria-labelledby": labelId, container: true, className: "form-group", spacing: 0 },
            React.createElement(Grid, { item: true, xs: 12, sm: 3, className: "form-label" },
                React.createElement(InputLabel, { className: "col-form-label" }, label)),
            React.createElement(Grid, { item: true, xs: 12, sm: 9 },
                React.createElement(CustomSelect, Object.assign({ clearable: false, multi: true, name: name, placeholder: "", onChange: this.handleChange }, otherProps)))));
    }
}
InputTag.defaultProps = Object.assign({}, commonDefaultProps, {
    options: [],
    value: [],
    onChange: () => null,
});
