import { SFC } from 'react';
import { CommonWidgetProps } from './../utils';
export interface InputTextProps extends CommonWidgetProps<HTMLInputElement> {
    isValid?: boolean;
    validationMessage?: string;
    success?: boolean;
    successMessage?: string;
}
export interface InputTextInternalProps extends InputTextProps {
    vertical?: boolean;
}
export declare const InputText: SFC<InputTextInternalProps>;
