import * as React from 'react';
import { WithStyles } from '@material-ui/core/styles/withStyles';
import { CommonWidgetProps } from './utils';
declare const styles: () => Record<"helperText123", import("@material-ui/core/styles/withStyles").CSSProperties>;
export interface TextareaChangeProps extends CommonWidgetProps<HTMLInputElement>, WithStyles<typeof styles> {
    onChange?: any;
}
export interface TextareaProps extends TextareaChangeProps {
    onChange?: (value: string) => void;
}
export declare const Textarea: React.ComponentType<Pick<any, string | number | symbol> & import("@material-ui/core/styles/withStyles").StyledComponentProps<"helperText123">>;
export {};
