/// <reference types="react" />
import { InputCheckGroup } from './InputCheck';
import { InputDate } from './InputDate';
import { InputFile } from './InputFile';
import { InputGeometryPoint } from './InputGeometryPoint';
import { InputNumber } from './InputNumber';
import { InputRadioGroup } from './InputRadio';
import { InputTag } from './InputTag';
import { InputBearing } from './InputBearing';
import { Select } from './Select';
export { InputCheckProps, InputCheckGroupProps } from './InputCheck';
export { InputDateProps } from './InputDate';
export { InputFileProps } from './InputFile';
export { InputGeometryPointProps } from './InputGeometryPoint';
export { InputNumberProps } from './InputNumber';
export { InputRadioGroup } from './InputRadio';
export { InputTagProps } from './InputTag';
export { InputTextProps } from './InputText';
export { InputBearingProps } from './InputBearing';
export { MultiSelectProps, SelectProps } from './Select';
export { TextareaProps } from './Textarea';
export declare const FormWidget: {
    InputCheck: import("react").ComponentType<Pick<any, string | number | symbol> & import("@material-ui/core/styles/withStyles").StyledComponentProps<"root" | "label">>;
    InputCheckGroup: typeof InputCheckGroup;
    InputDate: typeof InputDate;
    InputGeometryPoint: typeof InputGeometryPoint;
    InputFile: typeof InputFile;
    InputNumber: typeof InputNumber;
    InputRadioGroup: typeof InputRadioGroup;
    InputTag: typeof InputTag;
    InputText: import("react").StatelessComponent<import("./InputText/InputText").InputTextInternalProps>;
    InputLabel: import("react").ComponentType<Pick<any, string | number | symbol> & import("@material-ui/core/styles/withStyles").StyledComponentProps<"root">>;
    InputBearing: typeof InputBearing;
    MultiSelect: import("react").ComponentType<Pick<any, string | number | symbol> & import("@material-ui/core/styles/withStyles").StyledComponentProps<"root" | "customSelectRoot" | "selectedItems" | "selectedItem" | "selectedItemTitle">>;
    Select: typeof Select;
    Textarea: import("react").ComponentType<Pick<any, string | number | symbol> & import("@material-ui/core/styles/withStyles").StyledComponentProps<"helperText123">>;
};
