import { InputCheck, InputCheckGroup } from './InputCheck';
import { InputDate } from './InputDate';
import { InputFile } from './InputFile';
import { InputGeometryPoint } from './InputGeometryPoint';
import { InputNumber } from './InputNumber';
import { InputRadioGroup } from './InputRadio';
import { InputTag } from './InputTag';
import { InputLabel } from './InputText/InputLabel';
import { InputText } from './InputText';
import { InputBearing } from './InputBearing';
import { MultiSelect, Select } from './Select';
import { Textarea } from './Textarea';
export { InputRadioGroup } from './InputRadio';
export const FormWidget = {
    InputCheck,
    InputCheckGroup,
    InputDate,
    InputGeometryPoint,
    InputFile,
    InputNumber,
    InputRadioGroup,
    InputTag,
    InputText,
    InputLabel,
    InputBearing,
    MultiSelect,
    Select,
    Textarea,
};
